Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Interface QXmlDTDHandlerInterface

All Superinterfaces:
  QtJambiInterface

All Known Implementing Classes:
  QXmlDefaultHandler, QXmlDTDHandler

    public interface QXmlDTDHandlerInterface

extends QtJambiInterface

The `QXmlDTDHandler` class provides an interface to report DTD content of XML data.

If an application needs information about notations and unparsed entities, it can implement this interface and register an instance with QXmlReader::setDTDHandler().

Note that this interface includes only those DTD events that the XML recommendation requires processors to report, i.e. notation and unparsed entity declarations using `notationDecl` and `unparsedEntityDecl` respectively.

See Also:
  `QXmlDeclHandler`, `QXmlContentHandler`, `QXmlEntityResolver`, `QXmlErrorHandler`, `QXmlLexicalHandler`, `to SAX2`

Method Summary
`java.lang.String` | `errorString()` The reader calls this function to get an error string if any of the handler functions returns false.
`boolean` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` The reader calls this function when it has parsed a notation declaration.
`boolean` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)` The reader calls this function when it finds an unparsed entity declaration.

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### errorString

    java.lang.String errorString()

  The reader calls this function to get an error string if any of the handler functions returns false.

### notationDecl

    boolean notationDecl(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)

  The reader calls this function when it has parsed a notation declaration.

  The argument `name` is the notation name, `publicId` is the notation's public identifier and `systemId` is the notation's system identifier.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

### unparsedEntityDecl

    boolean unparsedEntityDecl(java.lang.String name,
                               java.lang.String publicId,
                               java.lang.String systemId,
                               java.lang.String notationName)

  The reader calls this function when it finds an unparsed entity declaration.

  The argument `name` is the unparsed entity's name, `publicId` is the entity's public identifier, `systemId` is the entity's system identifier and `notationName` is the name of the associated notation.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD